| Home | Libraries | People | FAQ | More

##### basic_socket_streambuf::expires_from_now (2 of 2 overloads)

Set the stream buffer's expiry time relative to now.

    void expires_from_now(
        const duration_type & expiry_time);

This function sets the expiry time associated with the stream. Stream operations performed after this time (where the operations cannot be completed using the internal buffers) will fail with the error `boost::asio::error::operation_aborted`.

###### Parameters

expiry_time

  The expiry time to be used for the timer.